Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

trouble updating SparkyLinux 5.7 rolling edition

Started by jackmg, April 08, 2019, 07:41:42 AM

Previous topic - Next topic

jackmg

I have been working with the rolling release (Openbox) download 5.7 for the last few weeks. One installation is on a hard drive. The other is on a USB stick. All has worked fine until several days ago when upgrading the system. The Aptus upgrade tool displays an upgrade available icon. The process continues until a second round of downloads is requested in a new window. It says: need to get  0 B/69.2 kb of archives. I respond OK to upgrade. Aptus runs a series of downloads and returns to the same upgrade windows to download the same files.

This happens on both machines. I have tried the Aptus options to refresh the package list to no avail. How to I resolve this situation so the rolling upgrades complete without the 69.2 kb of archives message continuously looping?

Thanks for your help.

lami07

Run in terminal sudo apt update and then sudo apt full-upgrade, and post the results
Quote from: forum rulesWhen an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread
Want to chat? Join #sparkylinux at [url="//irc.freenode.net"]irc.freenode.net[/url]

Sergio 1

I have the same problem, I have done what you proposed and....nothing happend - problem still exist.

pavroo

Run again:
sudo apt update
and:
sudo apt full-upgrade
and show me the full output of both commands, plase.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

Sergio 1

[sudo] пароль для sergio:
Игн:1 http://linux.dropbox.com/debian buster InRelease
Сущ:2 http://linux.dropbox.com/debian buster Release                                                                                             
Сущ:3 http://repository.spotify.com stable InRelease                                                                                             
Сущ:4 http://ftp.debian.org/debian testing InRelease                                                                                             
Сущ:5 http://security.debian.org testing/updates InRelease                                                                                       
Сущ:6 https://sparkylinux.org/repo core InRelease                                                                               
Сущ:7 https://sparkylinux.org/repo testing InRelease
Сущ:8 https://sparkylinux.org/repo unstable InRelease
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Все пакеты имеют последние версии.
sergio@sergio-sparky:~$ sudo apt full-upgrade
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Расчёт обновлений... Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  libminizip1 libqt5webengine-data libqt5webenginecore5 libqt5webenginewidgets5 libre2-5
Для их удаления используйте «sudo apt autoremove».
Следующие пакеты будут заменены на СТАРЫЕ версии:
  dropbox
Обновлено 0 пакетов, установлено 0 новых пакетов, 1 пакетов заменено на старые версии, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 0 B/69,2 kB архивов.
После данной операции объём занятого дискового пространства возрастёт на 0 B.
Хотите продолжить? [Д/н]
(Чтение базы данных ... на данный момент установлено 158265 файлов и каталогов.)
Подготовка к распаковке .../dropbox_2019.02.14_amd64.deb ...
Распаковывается dropbox (2019.02.14) на замену (2019.02.14) ...
Настраивается пакет dropbox (2019.02.14) ...
Please restart all running instances of Nautilus, or you will experience problems. i.e. nautilus --quit
Dropbox installation successfully completed! You can start Dropbox from your applications menu.
Обрабатываются триггеры для mime-support (3.62) ...
Обрабатываются триггеры для hicolor-icon-theme (0.17-2) ...
Обрабатываются триггеры для man-db (2.8.5-2) ...
Обрабатываются триггеры для desktop-file-utils (0.23-4) ...


Sergio 1

Thats what I got each time.
And always system is asking to perform update.

P.S. Sorry for my language.


lami07

Run apt policy dropbox and paste here the results
Quote from: forum rulesWhen an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread
Want to chat? Join #sparkylinux at [url="//irc.freenode.net"]irc.freenode.net[/url]

paxmark1

I have seen a bit on Siduction forum how people change their output via a flag, but did not pay attention.  I did a quick check, could not find it.

I took liberty of using google translate

Quotesudo] password for sergio:
Ign: 1 http://linux.dropbox.com/debian buster InRelease
Ex: 2 http://linux.dropbox.com/debian buster Release
Here is: 3 http://repository.spotify.com stable InRelease
Subject: 4 http://ftp.debian.org/debian testing InRelease
Unit: 5 http://security.debian.org testing / updates InRelease
One thing: 6 https://sparkylinux.org/repo core InRelease
One thing: 7 https://sparkylinux.org/repo testing InRelease
Here is: 8 https://sparkylinux.org/repo unstable InRelease
Reading package lists ... Done
Building a dependency tree
Reading status information ... Done
All packages have the latest versions.
sergio @ sergio-sparky: ~ $ sudo apt full-upgrade
Reading package lists ... Done
Building a dependency tree
Reading status information ... Done
Calculation of updates ... Done
The following packages were installed automatically and are no longer required:
  libminizip1 libqt5webengine-data libqt5webenginecore5 libqt5webenginewidgets5 libre2-5
To remove them, use "sudo apt autoremove".
The following packages will be replaced with OLD versions:
  dropbox
Updated 0 packages, installed 0 new packages, 1 packages replaced with old versions, 0 packages are marked for removal, and 0 packages are not updated.
Download 0 B / 69,2 kB archives.
After this operation, the amount of occupied disk space will increase by 0 B.
Want to continue? [Y / N]
(Reading the database ... 158265 files and directories are currently installed.)
Preparing for unpacking ... / dropbox_2019.02.14_amd64.deb ...
The dropbox (2019.02.14) is being unpacked for replacement (2019.02.14) ...
The dropbox package is configured (2019.02.14) ...
Please restart all running instances of Nautilus, or you will experience problems. i.e. nautilus --quit
Dropbox installation successfully completed! You can start Dropbox from your applications menu.
Triggers are processed for mime-support (3.62) ...
Triggers for hicolor-icon-theme (0.17-2) are processed ...
Handles triggers for man-db (2.8.5-2) ...
Triggers for desktop-file-utils (0.23-4) are processed

So possibly just waiting on some files that Dropbox depends on to migrate from Sid.  The downgrade to 2019.02.14 is not that old. 

Talking about something I know little about, but maybe, going with a flatpak of dropbox might be a possibility.  If not having the latest, having it be less of a security risk and if you have plenty of room in /      - that might be an option.
https://flathub.org/apps/details/com.dropbox.Client
QuoteNOTE: This wrapper is not verified by, affiliated with, or supported by Dropbox, Inc.
Search forum for "More info easier via inxi"    If requested -  no inxi, no help for you by  me.

pavroo

I had the same problem yesterday.
The latest version of dropbox installs its own source list, and apt wants to upgrade it even there is the same version of dropbox at sparky and dropbox repos.
To fix it, edit the dropbox repo list:
sudo nano /etc/apt/sources.list.d/dropbox.list
and add # in the front of the repo line, so it has to looks like that:
#deb [arch=i386,amd64] http://linux.dropbox.com/debian buster main
Then save the file and update apt list again.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

jackmg

Pavroo, Thank you for so quickly posting the solution. The file editing is quick and simple and now the systems update as they should.


Thank you.

Jackmg

lami07

Quote from: forum rulesWhen an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread. Please make sure the solution that worked for you is clearly indicated, especially if more than one solution has been proposed. If your solution came from outside the forum then describe it or post a link to it. Following these simple instructions will help other users find success solving similar problems.
Quote from: forum rulesWhen an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread
Want to chat? Join #sparkylinux at [url="//irc.freenode.net"]irc.freenode.net[/url]

Sergio 1

Pavroo, Thank you for so quickly posting the solution. It's working!!

paxmark1

Search forum for "More info easier via inxi"    If requested -  no inxi, no help for you by  me.

demilovato123

Thank you for thus fast posting the answer. The report editing is quick and simple and now the systems update as they must.

Thomas

I am trying to upgrade from Sparkylinux 5.7 rolling release to 5.8 but not sure how to go about it. Will I need to change my repositories to the buster repos or should running sudo apt full-upgrade upgrade the repository paths automatically for me?

It seems my main repositories are set to sid and testing still.


sudo apt update

Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:2 http://dl.google.com/linux/chrome/deb stable Release                                                                                                     
Hit:3 http://packages.microsoft.com/repos/vscode stable InRelease                                                                                             
Hit:4 http://ftp.debian.org/debian testing InRelease                                                                                                           
Hit:6 http://security.debian.org testing/updates InRelease                                                                                                     
Hit:7 http://www.deb-multimedia.org testing InRelease                                                             
Ign:8 http://linux.dropbox.com/debian sid InRelease                                         
Get:9 http://linux.dropbox.com/debian sid Release [6,594 B]           
Hit:10 https://sparkylinux.org/repo core InRelease                     
Hit:11 https://sparkylinux.org/repo testing InRelease
Get:12 http://linux.dropbox.com/debian sid Release.gpg [473 B]
Hit:13 https://sparkylinux.org/repo unstable InRelease   
Get:14 http://linux.dropbox.com/debian sid/main i386 Packages [1,160 B]
Get:15 http://linux.dropbox.com/debian sid/main amd64 Packages [1,169 B]
Fetched 9,396 B in 2s (4,533 B/s)     
Reading package lists... Done
Building dependency tree       
Reading state information... Done
All packages are up to date.
N: Ignoring file 'dropbox.list.save.1' in directory '/etc/apt/sources.list.d/' as it has an invalid

sudo apt full-upgrade

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
N: Ignoring file 'dropbox.list.save.1' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension


Thank you for your help.


View the most recent posts on the forum